Send payments
Relevant webhooks
For this endpoint be sure you have registered for these webhooks:
API reference
Push or pull funds
Endpoint: /v1/payments
POST
https://sandbox.crbcos.com/cardpayments/v1/payments
Body Parameters
- cardIdstringDescription
- cardTokenstringDescription
- accountNumberstringrequiredDescription
- amountintegerrequiredDescription
- paymentTypestringrequiredDescription
- correspondingEntityobjectDescription
- firstNamestringrequiredDescription
- lastNamestringrequiredDescription
- externalAccountIdentifierstringrequiredDescription
- addressobjectDescription
- street1stringrequiredDescription
- street2stringDescription
- citystringrequiredDescription
- statestringDescription
- postalCodestringrequiredDescription
- countryCodestringrequiredDescription
- mccstringDescription
- cvvstringDescription
- clientIdentifierstringDescription
- businessTypestringDescription
- purposeOfPaymentstringDescription
- threeDomainSecureobjectDescription
- ecistringDescription
- ucafstringDescription
- cavvstringDescription
- xidstringDescription
- initiatorNamestringDescription
Response
- idstring
- originalPaymentIdstringDescription
- clientIdentifierstringDescription
- amountintegerDescription
- paymentTypestringDescription
- statusstringDescription
- sourcestringDescription
- productIdstringDescription
- partnerIdstringDescription
- cardIdstringDescription
- cardTokenstring
- networkstringDescription
- cardBrandstringDescription
- panLastFourstringDescription
- issuerCountryCodestringDescription
- retrievalReferenceIdstringDescription
- networkTransactionIdstringDescription
- reasonCodestringDescription
- reasonDescriptionstringDescription
- traceNumberstringDescription
- correspondingEntityobject
- mccstringDescription
- merchantVerificationValuestringDescription
- initiatorNamestringDescription
- accountNumberstringDescription
- businessTypestringDescription
- purposeOfPaymentstring
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- memoPostRemovedAtstringDescription
- wasRefundedbooleanDescription
- refundPaymentIdstringDescription
- createdAtstringDescription
- authorizedOnstringDescription
- submittedOnstringDescription
- rejectedAtstringDescription
- completedAtstringDescription
- failedAtstringDescription
- limitsEligibleOnstringDescription
- lastModifiedAtstringDescription
- threeDomainSecureEcistringDescription
- threeDomainSecureUcafstringDescription
- threeDomainSecureCavvstringDescription
- threeDomainSecureXidstringDescription
curl
curl --location 'https://sandbox.crbcos.com/cardpayments/v1/payments' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Accept: application/json' \
--data '{
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "2287979807",
"amount": 1000,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "Darrin",
"lastName": "Considine",
"externalAccountIdentifier": "12345678901234",
"address": {
"street1": "2436 Bradtke Mountains",
"street2": "",
"city": "Marysville",
"state": "NY",
"postalCode": "123456789",
"countryCode": "US"
}
},
"mcc": "9876",
"cvv": "123",
"clientIdentifier": "string",
"businessType": "AA",
"threeDomainSecure": {
"eci": "05",
"ucaf": "jJJLtQa+Iws8AREAEbjsA1MAAAA=",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
}'nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://sandbox.crbcos.com/cardpayments/v1/payments',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
},
body: JSON.stringify({
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "2287979807",
"amount": 1000,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "Prudence",
"lastName": "Stracke",
"externalAccountIdentifier": "12345678901234",
"address": {
"street1": "2866 Margie Burg",
"street2": "",
"city": "Lorishire",
"state": "NY",
"postalCode": "123456789",
"countryCode": "US"
}
},
"mcc": "9876",
"cvv": "123",
"clientIdentifier": "string",
"businessType": "AA",
"threeDomainSecure": {
"eci": "05",
"ucaf": "jJJLtQa+Iws8AREAEbjsA1MAAAA=",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
python
import requests
import json
url = "https://sandbox.crbcos.com/cardpayments/v1/payments"
payload = json.dumps({
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "2287979807",
"amount": 1000,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "Lyla",
"lastName": "Abbott",
"externalAccountIdentifier": "12345678901234",
"address": {
"street1": "39633 Bianka Fork",
"street2": "",
"city": "Kansas City",
"state": "NY",
"postalCode": "123456789",
"countryCode": "US"
}
},
"mcc": "9876",
"cvv": "123",
"clientIdentifier": "string",
"businessType": "AA",
"threeDomainSecure": {
"eci": "05",
"ucaf": "jJJLtQa+Iws8AREAEbjsA1MAAAA=",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json',
'Accept': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/cardpayments/v1/payments")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request["Accept"] = "application/json"
request.body = JSON.dump({
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "2287979807",
"amount": 1000,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "Darwin",
"lastName": "Reilly",
"externalAccountIdentifier": "12345678901234",
"address": {
"street1": "83160 Hector Turnpike",
"street2": "",
"city": "Thousand Oaks",
"state": "NY",
"postalCode": "123456789",
"countryCode": "US"
}
},
"mcc": "9876",
"cvv": "123",
"clientIdentifier": "string",
"businessType": "AA",
"threeDomainSecure": {
"eci": "05",
"ucaf": "jJJLtQa+Iws8AREAEbjsA1MAAAA=",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/cardpayments/v1/payments"
method := "POST"
payload := strings.NewReader(`{
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"accountNumber": "2287979807",
"amount": 1000,
"paymentType": "Push",
"correspondingEntity": {
"firstName": "Darrin",
"lastName": "Considine",
"externalAccountIdentifier": "12345678901234",
"address": {
"street1": "2436 Bradtke Mountains",
"street2": "",
"city": "Marysville",
"state": "NY",
"postalCode": "123456789",
"countryCode": "US"
}
},
"mcc": "9876",
"cvv": "123",
"clientIdentifier": "string",
"businessType": "AA",
"threeDomainSecure": {
"eci": "05",
"ucaf": "jJJLtQa+Iws8AREAEbjsA1MAAAA=",
"cavv": "8c5f2a1b9d3e4f60718293a4b5c6d7e8f9012345",
"xid": "3f2b8c1e-7a4d-4e9b-9c6f-1d2e3a4b5c6d"
}
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
req.Header.Add("Accept", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "d706c741-e556-4101-a849-b42b00bfd7e9",
"clientIdentifier": "string",
"amount": 1000,
"paymentType": "Push",
"status": "Created",
"source": "OpsPortal",
"productId": "31cae717-408e-4813-a6b1-ad6600e48632",
"partnerId": "82a1cfb9-de92-4cc2-8a74-ad6600e36d7a",
"cardId": "26acd726-dade-4064-996a-b42b00b634df",
"cardToken": "11FB445C487140A9BEA51457A796172A000000",
"cardBrand": "Visa",
"panLastFour": "1111",
"issuerCountryCode": "US",
"correspondingEntity": {
"firstName": "Justina",
"lastName": "Jacobs",
"externalAccountIdentifier": "123456***1234",
"address": {
"street1": "511 Annalise Squares",
"street2": "",
"city": "Columbus",
"state": "NY",
"postalCode": "123456789",
"countryCode": "US"
}
},
"mcc": "9876",
"merchantVerificationValue": "123456",
"accountNumber": "2287979807",
"businessType": "AA",
"wasRefunded": false,
"createdAt": "2026-04-13T07:38:28.8271201-04:00",
"limitsEligibleOn": "2026-04-13T07:38:28.8271201-04:00",
"lastModifiedAt": "2026-04-13T07:38:28.9388613-04:00"
}